/*
 * sleep.h
 *
 *  Created on: Jan 24, 2014
 *      Author: rob
 *  Thom Maughan, MBARI 2018
 */

#ifndef MPHOX_SLEEP_H_
#define MPHOX_SLEEP_H_

void sleep(deploy_state state, uint32_t wake_time);
uint32_t sleep_handler(void);

#define WAKE_NOTSET         0
#define WAKE_CONSOLE        1
#define WAKE_RTC            2

#endif /* SEAPHOX_MFET_SLEEP_H_ */
